## moria 5.5.2

=== unix/Makefile ===
# BINDIR is the directory where the moria binary while be put
# LIBDIR is where the other files (score, news, hours) will be put
# LIBDIR must be the same directory defined in config.h
# OWNER is who you want the game to be chown to.
# GROUP is who you wnat the game to be chgrp to.
BINDIR = /home/zariski/grabiner/moria
LIBDIR = /home/zariski/grabiner/moria/files
OWNER = grabiner
GROUP = grad

# For testing and debugging the program, it is best to use this line.
# CFLAGS = -g
# For playing the game, you may want to use this line
CFLAGS = -O

# For BSD Systems
CURSES = -lcurses -ltermcap
# For SYS V Systems
# CURSES = -lcurses
# For XENIX, some XENIX systems may need -ltinfo
# CURSES = -ltcap -ltermcap -lx

# For AIX systems, compiling in the BSD world; SYS_V must not be defined in
# config.h if you use this.
#LFLAGS = -lbsd
# Normal systems don't require anything here.
LFLAGS = 

CC = cc

SRCS = main.c misc1.c misc2.c misc3.c misc4.c store1.c files.c io.c \
	create.c desc.c generate.c sets.c dungeon.c creature.c death.c \
	eat.c help.c magic.c potions.c prayer.c save.c staffs.c wands.c \
	scrolls.c spells.c wizard.c store2.c signals.c moria1.c moria2.c \
	moria3.c moria4.c monsters.c treasure.c variable.c rnd.c recall.c \
	unix.c player.c tables.c

OBJS = main.o misc1.o misc2.o misc3.o misc4.o store1.o files.o io.o \
	create.o desc.o generate.o sets.o dungeon.o creature.o death.o \
	eat.o help.o magic.o potions.o prayer.o save.o staffs.o wands.o \
	scrolls.o spells.o wizard.o store2.o signals.o moria1.o moria2.o \
	moria3.o moria4.o monsters.o treasure.o variable.o rnd.o recall.o \
	unix.o player.o tables.o

LIBFILES = hours news origcmds.hlp owizcmds.hlp roglcmds.hlp rwizcmds.hlp \
	version.hlp welcome.hlp

moria : $(OBJS)
	$(CC) -o moria $(CFLAGS) $(OBJS) $(CURSES) $(LFLAGS)

lintout : $(SRCS)
	lint $(SRCS) $(CURSES) > lintout

lintout2 : $(SRCS)
	lint -bach $(SRCS) $(CURSES) > lintout

TAGS : $(SRCS)
	ctags -x $(SRCS) > TAGS

# you must define BINDIR and LIBDIR before installing
# assumes that BINDIR and LIBDIR exist
install:
	chmod 755 $(BINDIR)
	cp moria $(BINDIR)
	chmod 4711 $(BINDIR)/moria
	chmod 711 $(LIBDIR)
	(cd files; cp $(LIBFILES) $(LIBDIR))
	(cd $(LIBDIR); chmod 444 $(LIBFILES))
	(cd $(LIBDIR); touch scores; chmod 644 scores)
	chown $(OWNER) $(BINDIR)/moria
	chgrp $(GROUP) $(BINDIR)/moria
	(cd $(LIBDIR); chown $(OWNER) $(LIBFILES) scores)
	(cd $(LIBDIR); chgrp $(GROUP) $(LIBFILES) scores)
# If you are short on disk space, or aren't interested in debugging moria.
#	strip $(BINDIR)/moria

clean:
	rm -r *.o
	rm -i moria

create.o: constant.h types.h externs.h config.h
creature.o: constant.h types.h externs.h config.h
death.o: constant.h types.h externs.h config.h
desc.o: constant.h types.h externs.h config.h
dungeon.o: constant.h types.h externs.h config.h
eat.o: constant.h types.h externs.h config.h
files.o: constant.h types.h externs.h config.h
generate.o: constant.h types.h externs.h config.h
help.o: constant.h types.h externs.h config.h
io.o: constant.h types.h externs.h config.h
magic.o: constant.h types.h externs.h config.h
main.o: constant.h types.h externs.h config.h
misc1.o: constant.h types.h externs.h config.h
misc2.o: constant.h types.h externs.h config.h
misc3.o: constant.h types.h externs.h config.h
misc4.o: constant.h types.h externs.h config.h
monsters.o: constant.h types.h config.h
moria1.o: constant.h types.h externs.h config.h
moria2.o: constant.h types.h externs.h config.h
moria3.o: constant.h types.h externs.h config.h
moria4.o: constant.h types.h externs.h config.h
player.o: constant.h types.h config.h
potions.o: constant.h types.h externs.h config.h
prayer.o: constant.h types.h externs.h config.h
recall.o: constant.h config.h types.h externs.h
rnd.o: constant.h types.h
save.o: constant.h types.h externs.h config.h
scrolls.o: constant.h types.h externs.h config.h
sets.o: constant.h config.h
signals.o: constant.h types.h externs.h config.h
spells.o: constant.h types.h externs.h config.h
staffs.o: constant.h types.h externs.h config.h
store1.o: constant.h types.h externs.h config.h
store2.o: constant.h types.h externs.h config.h
tables.o: constant.h types.h config.h
treasure.o: constant.h types.h config.h
unix.o: constant.h config.h types.h externs.h
variable.o: constant.h types.h config.h
wands.o: constant.h types.h externs.h config.h
wizard.o: constant.h types.h externs.h config.h

## moria 5.6

=== atari_st/Makefile ===
# The MWC Makefile.

# BINDIR is the directory where the moria binary will be put
# LIBDIR is where the other files (scoreboard, news, hours) will be put
# LIBDIR must be the same directory defined in config.h
# this was clipped from the link command: -lcurses -ltermcap
BINDIR = /usr/public/
LIBDIR = /usr/public/moriadir/

CFLAGS = -A -V -VCSD
CC = cc

SRCS = main.c misc1.c misc2.c misc3.c misc4.c store1.c files.c io.c \
	create.c desc.c generate.c sets.c dungeon.c creature.c death.c \
	eat.c help.c magic.c potions.c prayer.c save.c staffs.c wands.c \
	scrolls.c spells.c wizard.c store2.c signals.c moria1.c moria2.c \
	moria3.c moria4.c monsters.c treasure.c variable.c rnd.c recall.c \
	atarist.c player.c tables.c

OBJS = main.o misc1.o misc2.o misc3.o misc4.o store1.o files.o io.o \
	create.o desc.o generate.o sets.o dungeon.o creature.o death.o \
	eat.o help.o magic.o potions.o prayer.o save.o staffs.o wands.o \
	scrolls.o spells.o wizard.o store2.o signals.o moria1.o moria2.o \
	moria3.o moria4.o monsters.o treasure.o variable.o rnd.o recall.o \
	atarist.o curses.o player.o tables.o

LIBFILES = moria_hours moria_help moria_orig_help moria_wiz_help \
	moria_orig_wiz_help moria_man

moria : $(OBJS)
	$(CC) -o moria $(CFLAGS) $(OBJS)

libfiles: $(LIBFILES)
	chmod 444 $(LIBFILES)
	cp $(LIBFILES) $(LIBDIR)

$(BINDIR):
	mkdir $(BINDIR)
	chmod 755 $(BINDIR)

$(LIBDIR):
	mkdir $(LIBDIR)
	chmod 711 $(LIBDIR)

$(LIBDIR)/moria_hours: moria_hours
	chmod 644 moria_hours
	cp moria_hours $(LIBDIR)

lintout : $(SRCS)
	lint $(SRCS) -lcurses -ltermcap > lintout

lintout2 : $(SRCS)
	lint -bach $(SRCS) -lcurses -ltermcap > lintout

TAGS : $(SRCS)
	ctags -x $(SRCS) > TAGS

# you must define BINDIR and LIBDIR before installing
install:
	cp moria $(BINDIR)
	cp Moria_hours $(LIBDIR)
	cp Moria_news $(LIBDIR)
	cp Highscores $(LIBDIR)
	chmod 4511 $(BINDIR)/moria
	chmod 644 $(LIBDIR)/Highscores
	chmod 444 $(LIBDIR)/Moria_news
	chmod 444 $(LIBDIR)/Moria_hours
	chmod 555 $(LIBDIR)

clean:
	rm -r *.o
	rm -i moria

create.o: constant.h types.h externs.h config.h
creature.o: constant.h types.h externs.h config.h
death.o: constant.h types.h externs.h config.h
desc.o: constant.h types.h externs.h config.h
dungeon.o: constant.h types.h externs.h config.h
eat.o: constant.h types.h externs.h config.h
files.o: constant.h types.h externs.h config.h
generate.o: constant.h types.h externs.h config.h
help.o: constant.h types.h externs.h config.h
io.o: constant.h types.h externs.h config.h
magic.o: constant.h types.h externs.h config.h
main.o: constant.h types.h externs.h config.h
misc1.o: constant.h types.h externs.h config.h
misc2.o: constant.h types.h externs.h config.h
misc3.o: constant.h types.h externs.h config.h
misc4.o: constant.h types.h externs.h config.h
monsters.o: constant.h types.h config.h
moria1.o: constant.h types.h externs.h config.h
moria2.o: constant.h types.h externs.h config.h
moria3.o: constant.h types.h externs.h config.h
moria4.o: constant.h types.h externs.h config.h
player.o: constant.h types.h config.h
potions.o: constant.h types.h externs.h config.h
prayer.o: constant.h types.h externs.h config.h
recall.o: constant.h config.h types.h externs.h
rnd.o: constant.h types.h
save.o: constant.h types.h externs.h config.h
scrolls.o: constant.h types.h externs.h config.h
sets.o: constant.h config.h
signals.o: constant.h types.h externs.h config.h
spells.o: constant.h types.h externs.h config.h
staffs.o: constant.h types.h externs.h config.h
store1.o: constant.h types.h externs.h config.h
store2.o: constant.h types.h externs.h config.h
tables.o: constant.h types.h config.h
treasure.o: constant.h types.h config.h
atarist.o: constant.h config.h types.h externs.h
variable.o: constant.h types.h config.h
wands.o: constant.h types.h externs.h config.h
wizard.o: constant.h types.h externs.h config.h

## moria 5.7.10+20181022

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6 FATAL_ERROR)

# Do not allow in-source builds
if (${CMAKE_SOURCE_DIR} STREQUAL "${PROJECT_SOURCE_DIR}/src")
    message(FATAL_ERROR "CMake generation is not allowed within the source directory!")
endif ()


#
# Set a default build type
#
set(default_build_type "Release")
if (NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
    message(STATUS "Setting build type to '${default_build_type}' as none was specified.")
    set(CMAKE_BUILD_TYPE "${default_build_type}" CACHE STRING "Choose the type of build." FORCE)
    # Set the possible values of build type for cmake-gui
    set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug" "Release" "MinSizeRel" "RelWithDebInfo")
else ()
    message(STATUS "Build type set to '${CMAKE_BUILD_TYPE}'")
endif ()

# Compiler settings (this must come before calling project)
set(CMAKE_CXX_COMPILER g++)
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED on)

project(umoria)

#
# Core set of warnings
#
set(cxx_warnings "-Wall")
set(cxx_warnings "${cxx_warnings} -Wextra")
set(cxx_warnings "${cxx_warnings} -Wpedantic")
set(cxx_warnings "${cxx_warnings} -Wshadow")
set(cxx_warnings "${cxx_warnings} -Werror")
set(cxx_warnings "${cxx_warnings} -pedantic-errors")
set(cxx_warnings "${cxx_warnings} -Weffc++ ")

# Additional warnings
set(cxx_warnings "${cxx_warnings} -Wcast-align")
set(cxx_warnings "${cxx_warnings} -Wdisabled-optimization")
set(cxx_warnings "${cxx_warnings} -Wfloat-equal")
set(cxx_warnings "${cxx_warnings} -Winline")
set(cxx_warnings "${cxx_warnings} -Winvalid-pch")
set(cxx_warnings "${cxx_warnings} -Wmissing-format-attribute")
set(cxx_warnings "${cxx_warnings} -Wmissing-include-dirs")
set(cxx_warnings "${cxx_warnings} -Wpacked")
set(cxx_warnings "${cxx_warnings} -Wredundant-decls")
set(cxx_warnings "${cxx_warnings} -Wswitch-default")
set(cxx_warnings "${cxx_warnings} -Wswitch-enum")
set(cxx_warnings "${cxx_warnings} -Wunreachable-code")
set(cxx_warnings "${cxx_warnings} -Wwrite-strings")

# Some very strict warnings, that will be nice to use, but require some hefty refactoring
# set(cxx_warnings "${cxx_warnings} -Wcast-qual")
# set(cxx_warnings "${cxx_warnings} -Wconversion")
# set(cxx_warnings "${cxx_warnings} -Wformat=2")
# set(cxx_warnings "${cxx_warnings} -Wpadded")
# set(cxx_warnings "${cxx_warnings} -Wstrict-overflow")
# set(cxx_warnings "${cxx_warnings} -fno-strict-aliasing")

# Temporary support for GCC 8.
if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
    set(cxx_warnings "${cxx_warnings} -Wno-format-overflow")
endif()

#
# Set the flags and warnings for the debug/release builds
#
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -g3 -O0 ${cxx_warnings}")
set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O2 ${cxx_warnings}")


#
# Source files and directories
#
set(source_dir ${PROJECT_SOURCE_DIR}/src)
set(
        source_files
        ${source_dir}/character.h
        ${source_dir}/config.h
        ${source_dir}/curses.h
        ${source_dir}/dice.h
        ${source_dir}/dungeon.h
        ${source_dir}/dungeon_tile.h
        ${source_dir}/game.h
        ${source_dir}/headers.h
        ${source_dir}/helpers.h
        ${source_dir}/identification.h
        ${source_dir}/inventory.h
        ${source_dir}/mage_spells.h
        ${source_dir}/monster.h
        ${source_dir}/player.h
        ${source_dir}/recall.h
        ${source_dir}/rng.h
        ${source_dir}/scores.h
        ${source_dir}/scrolls.h
        ${source_dir}/spells.h
        ${source_dir}/staves.h
        ${source_dir}/store.h
        ${source_dir}/treasure.h
        ${source_dir}/types.h
        ${source_dir}/ui.h
        ${source_dir}/version.h
        ${source_dir}/wizard.h
        ${source_dir}/config.cpp
        ${source_dir}/helpers.cpp
        ${source_dir}/rng.cpp
        ${source_dir}/main.cpp
        ${source_dir}/data_creatures.cpp
        ${source_dir}/data_player.cpp
        ${source_dir}/data_recall.cpp
        ${source_dir}/data_store_owners.cpp
        ${source_dir}/data_stores.cpp
        ${source_dir}/data_tables.cpp
        ${source_dir}/data_treasure.cpp
        ${source_dir}/character.cpp
        ${source_dir}/dice.cpp
        ${source_dir}/dungeon.cpp
        ${source_dir}/dungeon_generate.cpp
        ${source_dir}/dungeon_los.cpp
        ${source_dir}/game.cpp
        ${source_dir}/game_death.cpp
        ${source_dir}/game_files.cpp
        ${source_dir}/game_objects.cpp
        ${source_dir}/game_run.cpp
        ${source_dir}/game_save.cpp
        ${source_dir}/identification.cpp
        ${source_dir}/inventory.cpp
        ${source_dir}/mage_spells.cpp
        ${source_dir}/monster.cpp
        ${source_dir}/monster_manager.cpp
        ${source_dir}/player.cpp
        ${source_dir}/player_bash.cpp
        ${source_dir}/player_eat.cpp
        ${source_dir}/player_magic.cpp
        ${source_dir}/player_move.cpp
        ${source_dir}/player_pray.cpp
        ${source_dir}/player_quaff.cpp
        ${source_dir}/player_run.cpp
        ${source_dir}/player_stats.cpp
        ${source_dir}/player_throw.cpp
        ${source_dir}/player_traps.cpp
        ${source_dir}/player_tunnel.cpp
        ${source_dir}/recall.cpp
        ${source_dir}/scores.cpp
        ${source_dir}/scrolls.cpp
        ${source_dir}/spells.cpp
        ${source_dir}/staves.cpp
        ${source_dir}/store.cpp
        ${source_dir}/store_inventory.cpp
        ${source_dir}/treasure.cpp
        ${source_dir}/ui.cpp
        ${source_dir}/ui_inventory.cpp
        ${source_dir}/ui_io.cpp
        ${source_dir}/wizard.cpp
)


#
# Set up the install paths and files
#
set(build_dir "umoria")
set(data_dir "${build_dir}/data")

file(MAKE_DIRECTORY ${build_dir})
file(MAKE_DIRECTORY ${data_dir})

set(CMAKE_INSTALL_PREFIX ${CMAKE_BINARY_DIR})
set(EXECUTABLE_OUTPUT_PATH ${build_dir})
set(RUNTIME_OUTPUT_DIRECTORY ${build_dir})

# Core game data files
set(
        data_files
        ${PROJECT_SOURCE_DIR}/data/help.txt
        ${PROJECT_SOURCE_DIR}/data/help_wizard.txt
        ${PROJECT_SOURCE_DIR}/data/rl_help.txt
        ${PROJECT_SOURCE_DIR}/data/rl_help_wizard.txt
        ${PROJECT_SOURCE_DIR}/data/splash.txt
        ${PROJECT_SOURCE_DIR}/data/versions.txt
        ${PROJECT_SOURCE_DIR}/data/welcome.txt
        ${PROJECT_SOURCE_DIR}/data/death_tomb.txt
        ${PROJECT_SOURCE_DIR}/data/death_royal.txt
)
file(COPY ${data_files} DESTINATION "${data_dir}")

# Various support files (readme, etc.)
set(
        support_files
        ${PROJECT_SOURCE_DIR}/data/scores.dat
        ${PROJECT_SOURCE_DIR}/docs/manual.md
        ${PROJECT_SOURCE_DIR}/docs/faq.md
        ${PROJECT_SOURCE_DIR}/AUTHORS
        ${PROJECT_SOURCE_DIR}/LICENSE
)
file(COPY ${support_files} DESTINATION "${build_dir}")


#
# Extract the Umoria version number from version.h
#
file(STRINGS "${source_dir}/version.h" VERSION_HEADER)

string(REGEX MATCH "CURRENT_VERSION_MAJOR = ([0-9]+);" ${VERSION_HEADER})
set(umoria_version_major ${CMAKE_MATCH_1})

string(REGEX MATCH "CURRENT_VERSION_MINOR = ([0-9]+);" ${VERSION_HEADER})
set(umoria_version_minor ${CMAKE_MATCH_1})

string(REGEX MATCH "CURRENT_VERSION_PATCH = ([0-9]+);" ${VERSION_HEADER})
set(umoria_version_patch ${CMAKE_MATCH_1})

set(umoria_version "${umoria_version_major}.${umoria_version_minor}.${umoria_version_patch}")


#
# Update the data files with the current version number and date
#

# Fetch release date from CHANGELOG if it's there :-)
file(READ "${PROJECT_SOURCE_DIR}/CHANGELOG.md" changelog)
string(REGEX MATCH "## ${umoria_version} \\(([0-9][0-9][0-9][0-9]-[0-9][0-9]-[0-9][0-9])\\)" results ${changelog})
list(LENGTH results match_count)
if (match_count EQUAL 0)
    string(TIMESTAMP current_date "%Y-%m-%d" UTC)
else ()
    set(current_date ${CMAKE_MATCH_1})
endif ()

set(
        data_files_to_update
        ${build_dir}/data/splash.txt
        ${build_dir}/data/versions.txt
)
foreach (data_file ${data_files_to_update})
    file(READ ${data_file} content)
    string(REGEX REPLACE "{{ CURRENT_VERSION }}" "${umoria_version}" content "${content}")
    string(REGEX REPLACE "{{ RELEASE_DATE }}" "${current_date}" content "${content}")
    file(WRITE ${data_file} ${content})
endforeach ()


# All of the game resource files
set(resources ${data_files} ${support_files})

# Also add resources to the target so they are visible in the IDE
add_executable(umoria ${source_files} ${resources})


# This is horrible, but needed bacause `find_package()` doesn't use the
# include/lib inside the /mingw32 or /mingw64 directories, and with
# `ncurses-devel` installed, it won't compile.
if ((MSYS OR MINGW) AND "$ENV{MINGW}" STREQUAL "")
    message(FATAL_ERROR "You must set the MINGW environment variable ('mingw64' or 'mingw32'). Example: MINGW=mingw64 cmake .")
    message(FATAL_ERROR "This will be the directory used for locating the ncurses library files.")
elseif ((MSYS OR MINGW) AND NOT "$ENV{MINGW}" STREQUAL "")
    message(STATUS "NOTE: Configuring build for Windows release...")

    # Make the ncurses library static
    set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -static -lpthread")
    set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -static -lpthread")

    set(CURSES_INCLUDE_DIR "/$ENV{MINGW}/include/")
    set(CURSES_LIBRARIES "/$ENV{MINGW}/lib/libncurses.a")
else ()
    message(STATUS "NOTE: Configuring build for macOS/Linux release...")
    find_package(Curses REQUIRED)
endif ()

include_directories(${CURSES_INCLUDE_DIR})
target_link_libraries(umoria ${CURSES_LIBRARIES})

# Build and install the umoria binary
install(TARGETS umoria DESTINATION ${build_dir})

=== debian/changelog ===
moria (5.7.10+20181022-3) unstable; urgency=medium

  * Apply patch from Helmut Grohne <helmut@subdivi.de> to fix FTCBFS,
    closes: #920754.
    + Let dh_auto_configure pass cross flags to cmake.
    + cross.patch: Don't force the build architecture compiler.
    Thank you, Helmut!
  * Move dpkg-maintscript-helper usage into moria.maintscript.  Removed
    from preinst, postinst and postrm.

 -- Phil Brooke <pjb@debian.org>  Tue, 29 Jan 2019 18:54:21 +0000

moria (5.7.10+20181022-2) unstable; urgency=medium

  * Remove -Werror to allow build on mips64el, closes: #916030.
  * Remove redundant /etc/moria-hours using dpkg-maintscript-helper,
    closes: 911706.

 -- Phil Brooke <pjb@debian.org>  Sun, 06 Jan 2019 20:28:22 +0000

moria (5.7.10+20181022-1) unstable; urgency=medium

  * New upstream release from https://github.com/dungeons-of-moria/umoria.
    It's slightly ahead of the upstream git tag 5.7.10, hence the version
    field.  One additional commit adds fixes for building with GCC 8.
  * Since the last Debian upload, there have been major changes to upstream
    source.
     * Add cmake as a dependency.
     * Remove README.debian-build.
  * Bump debhelper to 11 and standards-version to 4.2.1.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Switch to dh variant of debian/rules and remove (now redundant) Makefile,
    closes: #905811.
  * Add homepage field to control, closes: #898531.  Add aka umoria to
    description field.
  * Restore moria.man from previous Debian version, but it will need updating.
  * Change src/config.cpp to show scores file in /var/games/moria (patch
    set-scores-path.patch).
  * Change src/config.cpp to show data files in /usr/lib/games/moria (patch
    set-data-path.patch).
  * "Hours" file has gone, so no longer need /etc.
  * Don't reopen the scores file when recording as we've already dropped
    permissions (dont-reopen-scores-file.patch).

 -- Phil Brooke <pjb@debian.org>  Mon, 22 Oct 2018 20:35:10 +0100

moria (5.6.debian.1-2) unstable; urgency=medium

  * Remove spurious redefinition of getuid from main.c (closes: #749422).
  * Desktop integration of games (closes: #737972):
     * Added a desktop file (moria.desktop).
     * Desktop icons added (moria*.png).
     * Menu icon added (moria.xpm).
     * (Need some better icons, really.)
  * Add sharutils to build-depends because of icons.
  * Bump standards-version to 3.9.6.

 -- Phil Brooke <pjb@debian.org>  Sat, 18 Oct 2014 16:20:32 +0100

moria (5.6.debian.1-1) unstable; urgency=low

  * Repackaged source tarball to remove non-free files.  As a result,
    totally removed the Atari ST, Amiga and Mac source directories
    (closes: #724943).
  * Use strncpy not strcpy to read hours file (closes: #695294).  Also added
    -D_FORTIFY_SOURCE=2 to Makefile to check this solution.
  * Bump standards-version to 3.9.4.
  * Tidy up debian/docs to remove a duplicate file in .../docs/moria
    and rename some debian files to moria.
  * Add dpkg-buildflags CFLAGS / LDFLAGS to source/Makefile.  Then fix
    some (s)printf format strings.

 -- Phil Brooke <pjb@debian.org>  Thu, 31 Oct 2013 14:33:18 +0000

moria (5.6-2) unstable; urgency=low

  * Clean up description in control file.
  * Fix description synopsis.
  * Bump standards-version to 3.9.2.
  * Add build-arch and build-indep targets to debian/rules.
  * Tidy copyright file to quell lintian complaint.

 -- Phil Brooke <pjb@debian.org>  Mon, 04 Jul 2011 12:05:13 +0100

moria (5.6-1) unstable; urgency=low

  * New upstream release.  
  * New maintainer.  
  * Reintroduce to Debian archive (Closes: #594224).
  * New licence: it's GPLv3.  Update debian/copyright.
  * Move to section games (it's no longer non-free).
  * Standards version update (3.9.1), compat and source/format added.
  * Update debian/rules for changes to debhelper.  Freshen/tidy overall.

 -- Phil Brooke <pjb@debian.org>  Tue, 07 Sep 2010 16:22:25 +0100

moria (5.5.2-5) unstable; urgency=low

  * Changed location of score file from /var/lib/games/moria/scores to
    /var/games/moria/scores per FHS.  (Closes: #115849)
  * Fixed handling of score file on upgrades (do not null it out!).
  * Applied fixes to a few buffer overflows.  (Thanks to Lars Helgeland for
    noticing the overflows and supplying the patches.)  (Closes: #115745)
  * Upgraded policy to version 3.5.6.0.

 -- Rene Weber <rene_debmaint@elvenlord.com>  Wed, 24 Oct 2001 22:44:05 -0400

moria (5.5.2-4) unstable; urgency=low

  * Fixed dependencies (was compiled against libncurses4, what was I doing
    that day?).
  * Corrected explanation of the 'V' command in moria2.txt (but not in the
    nroff source for that documentation).
  * Removed use of dh_suidregister.

 -- Rene Weber <rene_debmaint@elvenlord.com>  Mon,  9 Jul 2001 23:31:01 -0400

moria (5.5.2-3) unstable; urgency=low

  * Added a Build-Depends line.
  * Changed the handling of the build directory for the convenience of
    porters (should have no impact on users).
  * Changed short description so that it does not include the name of the
    package.
  * Corrected path to /usr/games/moria binary in the menu.  Closes: #81353

 -- Rene Weber <rene_debmaint@elvenlord.com>  Sat,  6 Jan 2001 02:47:02 -0700

moria (5.5.2-2) unstable; urgency=low

  * Fixed typos in the control/README.debian file
  * Updated the author's e-mail address in the copyright file
  * Updated the author's web page listed in the README.debian
  * Installed a new version of the FAQ (reflecting the author's move)

 -- Rene Weber <rene_debmaint@elvenlord.com>  Sat, 14 Oct 2000 10:23:48 -0700

moria (5.5.2-1) unstable; urgency=low

  * Initial Release.
  * Added DEBIAN_LINUX #define to handle code customizations.
  * Needed to include termios.h in io.c
  * All instances of signal() changed to sysv_signal() since libc6 defaults
    to BSD semantics.
  * Instead of redefining getuid, just ifdeffed it out of unix.c
  * Changed LOCK_EX and LOCK_SH definitions in death.c (to avoid


=== debian/control ===
Source: moria
Section: games
Priority: optional
Maintainer: Phil Brooke <pjb@debian.org>
Build-Depends: debhelper (>= 11~), libncurses-dev, sharutils, cmake
Standards-Version: 4.2.1
Homepage: https://umoria.org/

Package: moria
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: suidmanager (<< 0.50)
Description: Rogue-like game with an infinite dungeon, also known as umoria
 A single player roguelike game with a regenerating dungeon, moria is the
 predecessor of angband with a full-screen, text-based, turn-based
 interface.  It features scrolling maps, and an infinite (constantly
 regenerated) dungeon.
 .
 Moria's dungeons are populated by monsters, some of which are inspired by
 J.R.R. Tolkien's books.  The goal of the game is to find and kill the
 Balrog, whereupon the player is crowned King.  Your player can be created
 from a combination of 8 races (human, half-elf, elf, halfling, gnome,
 dwarf, half-orc, half-troll) and 6 classes (warrior, mage, priest, rogue,
 ranger, paladin), and is measured by 6 attributes (strength, dexterity,
 intelligence, wisdom, constitution, and charisma).
 .
 Despite the package name, this is actually Umoria (Unix moria).

## moria 5.7.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -164,12 +164,8 @@
 set(build_dir "umoria")
 set(data_dir "${build_dir}/data")
 
-file(MAKE_DIRECTORY ${build_dir})
-file(MAKE_DIRECTORY ${data_dir})
-
-set(CMAKE_INSTALL_PREFIX ${CMAKE_BINARY_DIR})
+
 set(EXECUTABLE_OUTPUT_PATH ${build_dir})
-set(RUNTIME_OUTPUT_DIRECTORY ${build_dir})
 
 # Core game data files
 set(
@@ -178,8 +174,6 @@
         ${PROJECT_SOURCE_DIR}/data/help_wizard.txt
         ${PROJECT_SOURCE_DIR}/data/rl_help.txt
         ${PROJECT_SOURCE_DIR}/data/rl_help_wizard.txt
-        ${PROJECT_SOURCE_DIR}/data/splash.txt
-        ${PROJECT_SOURCE_DIR}/data/versions.txt
         ${PROJECT_SOURCE_DIR}/data/welcome.txt
         ${PROJECT_SOURCE_DIR}/data/death_tomb.txt
         ${PROJECT_SOURCE_DIR}/data/death_royal.txt
@@ -190,8 +184,6 @@
 set(
         support_files
         ${PROJECT_SOURCE_DIR}/data/scores.dat
-        ${PROJECT_SOURCE_DIR}/docs/manual.md
-        ${PROJECT_SOURCE_DIR}/docs/faq.md
         ${PROJECT_SOURCE_DIR}/AUTHORS
         ${PROJECT_SOURCE_DIR}/LICENSE
 )
@@ -231,14 +223,11 @@
 
 set(
         data_files_to_update
-        ${build_dir}/data/splash.txt
-        ${build_dir}/data/versions.txt
+        data/splash.txt
+        data/versions.txt
 )
 foreach (data_file ${data_files_to_update})
-    file(READ ${data_file} content)
-    string(REGEX REPLACE "{{ CURRENT_VERSION }}" "${umoria_version}" content "${content}")
-    string(REGEX REPLACE "{{ RELEASE_DATE }}" "${current_date}" content "${content}")
-    file(WRITE ${data_file} ${content})
+    configure_file(${data_file}.in ${build_dir}/${data_file})
 endforeach ()
 
 
@@ -266,11 +255,9 @@
     set(CURSES_LIBRARIES "/$ENV{MINGW}/lib/libncurses.a")
 else ()
     message(STATUS "NOTE: Configuring build for macOS/Linux release...")
+    set(CURSES_NEED_NCURSES TRUE)
     find_package(Curses REQUIRED)
 endif ()
 
 include_directories(${CURSES_INCLUDE_DIR})
 target_link_libraries(umoria ${CURSES_LIBRARIES})
-
-# Build and install the umoria binary
-install(TARGETS umoria DESTINATION ${build_dir})

=== debian/changelog ===
moria (5.7.13-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make requirement for root when building the package explicit.
    (Closes: #1089392)

 -- Niels Thykier <niels@thykier.net>  Wed, 01 Jan 2025 16:16:49 +0000

moria (5.7.13-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.5.0.
  * Bump debhelper compat to 13.

 -- Phil Brooke <pjb@debian.org>  Mon, 09 Nov 2020 15:37:44 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: games
 Priority: optional
 Maintainer: Phil Brooke <pjb@debian.org>
-Build-Depends: debhelper (>= 11~), libncurses-dev, sharutils, cmake
-Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 13~), libncurses-dev, sharutils, cmake
+Rules-Requires-Root: binary-targets
+Standards-Version: 4.5.0
 Homepage: https://umoria.org/
 
 Package: moria

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

%:
	dh $@


override_dh_auto_configure:
	dh_auto_configure --builddirectory=.

override_dh_auto_install:

override_dh_install:
	dh_install
	install -o root -g games -m 2755 umoria/umoria debian/moria/usr/games/moria
	install -o root -g root -m 644 umoria/data/* debian/moria/usr/lib/games/moria
	for r in 64x64 96x96 128x128 256x256; do uudecode -o debian/icons/moria-$${r}.png debian/icons/moria-$${r}.png.b64 ;done
	for r in 64x64 96x96 128x128 256x256; do install -o root -g root -m 644 debian/icons/moria-$${r}.png debian/moria/usr/share/icons/hicolor/$${r}/apps/moria.png;done

override_dh_fixperms:
	dh_fixperms
	chown :games debian/moria/usr/games/moria
	chmod g+s debian/moria/usr/games/moria

override_dh_auto_clean:

override_dh_clean:
	dh_clean
	-rm debian/icons/moria-*.png
	-rm -r CMakeFiles
	-rm -r umoria
	-rm CMakeCache.txt Makefile cmake_install.cmake
